summaryrefslogtreecommitdiff
path: root/scripts/postinst-intercepts/update_font_cache
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/postinst-intercepts/update_font_cache')
-rw-r--r--scripts/postinst-intercepts/update_font_cache7
1 files changed, 4 insertions, 3 deletions
diff --git a/scripts/postinst-intercepts/update_font_cache b/scripts/postinst-intercepts/update_font_cache
index afc93d80a5..bf65e19a41 100644
--- a/scripts/postinst-intercepts/update_font_cache
+++ b/scripts/postinst-intercepts/update_font_cache
@@ -1,6 +1,7 @@
#!/bin/sh
-PSEUDO_UNLOAD=1 qemuwrapper -L $D -E LD_LIBRARY_PATH=$D/${libdir}:$D/${base_libdir}\
- $D${bindir}/fc-cache --sysroot=$D >/dev/null 2>&1
-
+set -e
+PSEUDO_UNLOAD=1 qemuwrapper -L $D -E LD_LIBRARY_PATH=$D/${libdir}:$D/${base_libdir} \
+ -E ${fontconfigcacheenv} $D${bindir}/fc-cache --sysroot=$D --system-only ${fontconfigcacheparams}
+chown -R root:root $D${fontconfigcachedir}